Subject: bug#49066: 26.3; Segmentation fault on specific utf8 string

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Jun 2021 09:43:40 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 16 Jun 2021 23:12:44 +0200
> Cc: [email-masked]
> 
> "Miguel V. S. Frasson" <[email-masked]> writes:
> 
> > * git GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu) of 2021-06-16
> > without toolkits and images --> no crash
> > (1h30 of compilation time discoraged me to try to recompile)
> 
> I can reproduce the crash in Emacs 26.1, but not in Emacs 27.1, so I
> guess this has been fixed in later versions of Emacs?

I cannot reproduce at all, neither in Emacs 26 nor in all subsequent
versions.

Lars, can you show a backtrace from the crash?  Perhaps if I see that,
I could tell if it's a known (and fixed) problem.

Thanks.